package com.muyu.controller;
import  com.muyu.common.core.domain.Result;
import  com.muyu.common.core.web.controller.BaseController;
import  com.muyu.common.security.annotation.RequiresPermissions;
import  com.muyu.domain.EngineMaintenance;
import  com.muyu.req.EngineVersionListResp;
import  com.muyu.service.EngIneService;
import  org.springframework.beans.factory.annotation.Autowired;
import  org.springframework.web.bind.annotation.*;
import  java.util.List;
/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl-engine
 * @name：EngIneController
 * @Date：2024/8/22 15:36
 */
@RestController
@RequestMapping("/engine")
public class EngIneController extends BaseController {

    @Autowired
    EngIneService engIneService;

    @GetMapping("/getMaintenanceList")
    public Result<List<EngineMaintenance>> getMaintenanceList(   ) {
        List<EngineMaintenance> list = engIneService.list();
        return Result.success(list);
    }

    @PostMapping("/delete/{id}")
    public Result delete(@PathVariable Integer id){
        return engIneService.delete(id);
    }

    @PostMapping("/update")
    public Result<EngineMaintenance> update(@RequestBody EngineMaintenance engineMaintenance){
        return engIneService.updateMsg(engineMaintenance);
    }

    @PostMapping("/insert")
    public Result<EngineMaintenance> insert(@RequestBody EngineMaintenance engineMaintenance){
        return engIneService.insert(engineMaintenance);
    }

    /**
     * 查询规则引擎版本列表
     */
    @RequiresPermissions("rule-engine:maintenance:edit")
    @PutMapping("/getRuleEngineInfo/{id}")
    public Result getRuleEngineInfo(@PathVariable Long id) {
        EngineVersionListResp engineConfigListResp = engIneService.getRuleEngineInfo(id);
        return Result.success(engineConfigListResp);
    }
}
